Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class Win32EventLogNotification

    java.lang.Object
      net.hyperic.hq.product.Win32EventLogNotification

All Implemented Interfaces:
  net.hyperic.sigar.win32.EventLogNotification

public abstract class Win32EventLogNotification
extends java.lang.Object
implements net.hyperic.sigar.win32.EventLogNotification

Base class for windows event notifications. This handles parsing the event record and sending it to HQ. All plugins sould subclass this class if they need to override the standard matches() function in the base class.

Field Summary
`static java.lang.String` `APPLICATION_LOG`
`static java.lang.String` `SECURITY_LOG`
`static java.lang.String` `SYSTEM_LOG`

Constructor Summary
`Win32EventLogNotification(LogTrackPlugin plugin)`

Method Summary
`java.lang.String` `getLogName()`
`void` `handleNotification(net.hyperic.sigar.win32.EventLogRecord record)`
`abstract boolean` `matches(net.hyperic.sigar.win32.EventLogRecord record)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_LOG

    public static final java.lang.String SYSTEM_LOG

See Also:
  Constant Field Values

### SECURITY_LOG

    public static final java.lang.String SECURITY_LOG

See Also:
  Constant Field Values

### APPLICATION_LOG

    public static final java.lang.String APPLICATION_LOG

See Also:
  Constant Field Values

Constructor Detail

### Win32EventLogNotification

    public Win32EventLogNotification(LogTrackPlugin plugin)

Method Detail

### matches

    public abstract boolean matches(net.hyperic.sigar.win32.EventLogRecord record)

  Specified by:
    `matches` in interface `net.hyperic.sigar.win32.EventLogNotification`

### getLogName

    public java.lang.String getLogName()

### handleNotification

    public void handleNotification(net.hyperic.sigar.win32.EventLogRecord record)

  Specified by:
    `handleNotification` in interface `net.hyperic.sigar.win32.EventLogNotification`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.